﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ShoopNCook.Core
{
    internal class Recipe
    {
        private string name;
        private string description;
        private User owner;
        private Uri image;
        private float averageNote;

        private List<Ingredient> ingredients;
        private List<PreparationStep> steps;

        public Recipe(
            string name,
            string description,
            User owner,
            Uri image,
            float averageNote,
            List<Ingredient> ingredients,
            List<PreparationStep> steps)
        {
            this.name = name;
            this.description = description;
            this.owner = owner;
            this.image = image;
            this.averageNote = averageNote;
            this.ingredients = ingredients;
            this.steps = steps;
        }

        public string Name { get => name; }
        public string Description { get => description; }
        public User Owner { get => owner; }
        public Uri Image { get => image; }
            
        public float AverageNote { get => averageNote; }
        public List<Ingredient> Ingredients { get => ingredients; }
        public List<PreparationStep> Steps { get => steps; }
    }
}
